onboarding
Update onboarding setup
Requires scopes: eval:read
PATCH
/
api
/
onboarding
/
setup
Update onboarding setup
curl --request PATCH \
--url https://evalgate.com/api/onboarding/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skipped": false,
"providerKeyProvider": "<string>",
"completedSteps": [
"<string>"
],
"selectedScopes": [
"<string>"
],
"wizard": {
"evaluationId": 123,
"completed": false,
"testCaseIds": [
123
],
"evaluationName": "<string>",
"selectedPath": "repository",
"baselineStatus": "pending",
"currentStep": 123
}
}
'import requests
url = "https://evalgate.com/api/onboarding/setup"
payload = {
"skipped": False,
"providerKeyProvider": "<string>",
"completedSteps": ["<string>"],
"selectedScopes": ["<string>"],
"wizard": {
"evaluationId": 123,
"completed": False,
"testCaseIds": [123],
"evaluationName": "<string>",
"selectedPath": "repository",
"baselineStatus": "pending",
"currentStep": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
skipped: false,
providerKeyProvider: '<string>',
completedSteps: ['<string>'],
selectedScopes: ['<string>'],
wizard: {
evaluationId: 123,
completed: false,
testCaseIds: [123],
evaluationName: '<string>',
selectedPath: 'repository',
baselineStatus: 'pending',
currentStep: 123
}
})
};
fetch('https://evalgate.com/api/onboarding/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"onboardingState": {
"completedSteps": [
"<string>"
],
"skipped": true,
"selectedScopes": [
"<string>"
],
"providerKeyProvider": "<string>",
"customizedAt": "<string>",
"wizard": {
"selectedPath": "repository",
"evaluationId": 123,
"evaluationName": "<string>",
"testCaseIds": [
123
],
"baselineStatus": "pending",
"currentStep": 123,
"completed": true
}
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Update onboarding setup
